/*
 * Copyright (C) <2015-present>  <it-novum GmbH>
 *
 * This file is dual licensed
 *
 * 1.
 *     This program is free software: you can redistribute it and/or modify
 *     it under the terms of the GNU General Public License as published by
 *     the Free Software Foundation, version 3 of the License.
 *
 *     This program is distributed in the hope that it will be useful,
 *     but WITHOUT ANY WARRANTY; without even the implied warranty of
 *     MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *     GNU General Public License for more details.
 *
 *     You should have received a copy of the GNU General Public License
 *     along with this program.  If not, see <http://www.gnu.org/licenses/>.
 *
 * 2.
 *     If you purchased an openITCOCKPIT Enterprise Edition you can use this file
 *     under the terms of the openITCOCKPIT Enterprise Edition license agreement.
 *     License agreement and license key will be shipped with the order
 *     confirmation.
 */

import { booleanAttribute, ChangeDetectionStrategy, Component, Input } from '@angular/core';
import { Params, RouterLink } from '@angular/router';
import { PermissionDirective } from '../../permissions/permission.directive';

import { DropdownItemDirective } from '@coreui/angular';
import { NgTemplateOutlet } from '@angular/common';

@Component({
    selector: 'oitc-actions-button-element',
    imports: [
    RouterLink,
    PermissionDirective,
    DropdownItemDirective,
    NgTemplateOutlet
],
    templateUrl: './actions-button-element.component.html',
    styleUrl: './actions-button-element.component.css',
    changeDetection: ChangeDetectionStrategy.OnPush
})
export class ActionsButtonElementComponent {

    @Input({transform: booleanAttribute}) allow: boolean = true;
    @Input() url: string = '';
    @Input({required: true}) permission: string = '';
    @Input() queryParams: Params | undefined | null;

}
