import { ChangeDetectionStrategy, Component } from '@angular/core';
import { WidgetTypes } from '../widgets.enum';
import {
    CustomalertsWidgetComponent
} from '../../../../modules/customalert_module/widgets/customalerts-widget/customalerts-widget.component';
import { OitcAlertComponent } from '../../../../components/alert/alert.component';
import { TranslocoPipe } from '@jsverse/transloco';
import { WelcomeWidgetComponent } from '../welcome-widget/welcome-widget.component';
import { ParentOutagesWidgetComponent } from '../parent-outages-widget/parent-outages-widget.component';
import { HostsPiechartWidgetComponent } from '../hosts-piechart-widget/hosts-piechart-widget.component';
import { HostsPiechartWidget180Component } from '../hosts-piechart-widget180/hosts-piechart-widget180.component';
import { ServicesPiechartWidgetComponent } from '../services-piechart-widget/services-piechart-widget.component';
import {
    ServicesPiechartWidget180Component
} from '../services-piechart-widget180/services-piechart-widget180.component';
import { HostsDowntimeWidgetComponent } from '../hosts-downtime-widget/hosts-downtime-widget.component';
import { CalendarWidgetComponent } from '../calendar-widget/calendar-widget.component';
import {
    TacticalOverviewHostsWidgetComponent
} from '../tactical-overview-hosts-widget/tactical-overview-hosts-widget.component';
import { ServicesDowntimeWidgetComponent } from '../services-downtime-widget/services-downtime-widget.component';
import { TodayWidgetComponent } from '../today-widget/today-widget.component';
import { NoticeWidgetComponent } from '../notice-widget/notice-widget.component';
import { HostsTopAlertsWidgetComponent } from '../hosts-top-alerts-widget/hosts-top-alerts-widget.component';
import { ServicesTopAlertsWidgetComponent } from '../services-top-alerts-widget/services-top-alerts-widget.component';
import {
    TacticalOverviewServicesWidgetComponent
} from '../tactical-overview-services-widget/tactical-overview-services-widget.component';
import { WebsiteWidgetComponent } from '../website-widget/website-widget.component';
import {
    HostStatusOverviewWidgetComponent
} from '../host-status-overview-widget/host-status-overview-widget.component';
import { BaseWidgetComponent } from '../base-widget/base-widget.component';
import {
    ServiceStatusOverviewWidgetComponent
} from '../service-status-overview-widget/service-status-overview-widget.component';
import { HostsStatusListWidgetComponent } from '../hosts-status-list-widget/hosts-status-list-widget.component';
import {
    HostsStatusListExtendedWidgetComponent
} from '../hosts-status-list-extended-widget/hosts-status-list-extended-widget.component';
import {
    ServicesStatusListWidgetComponent
} from '../services-status-list-widget/services-status-list-widget.component';
import {
    HostStatusOverviewExtendedWidget
} from '../host-status-overview-extended-widget/host-status-overview-extended-widget.component';
import {
    ServiceStatusOverviewExtendedWidget
} from '../service-status-overview-extended-widget/service-status-overview-extended-widget.component';
import {
    ServicesStatusListExtendedWidgetComponent
} from '../services-status-list-extended-widget/services-status-list-extended-widget.component';
import {
    GrafanaAutogeneratedWidgetComponent
} from '../../../../modules/grafana_module/widgets/grafana-autogenerated-widget/grafana-autogenerated-widget.component';
import {
    GrafanaUserdefinedWidgetComponent
} from '../../../../modules/grafana_module/widgets/grafana-userdefined-widget/grafana-userdefined-widget.component';
import {
    SlaSummaryWidgetComponent
} from '../../../../modules/sla_module/widgets/sla-summary-widget/sla-summary-widget.component';
import { SlaWidgetComponent } from '../../../../modules/sla_module/widgets/sla-widget/sla-widget.component';
import {
    SlaCalendarWidgetComponent
} from '../../../../modules/sla_module/widgets/sla-calendar-widget/sla-calendar-widget.component';
import { TrafficlightWidgetComponent } from '../trafficlight-widget/trafficlight-widget.component';
import { TachometerWidgetComponent } from '../tachometer-widget/tachometer-widget.component';
import {
    EventcorrelationWidgetComponent
} from '../../../../modules/eventcorrelation_module/widgets/eventcorrelation-widget/eventcorrelation-widget.component';
import { AutomapWidgetComponent } from '../automap-widget/automap-widget.component';
import {
    AutoreportWidgetComponent
} from '../../../../modules/autoreport_module/widgets/autoreport-widget/autoreport-widget.component';
import { MapWidgetComponent } from '../../../../modules/map_module/widgets/map-widget/map-widget.component';
import {
    ChangecalendarWidgetComponent
} from '../../../../modules/changecalendar_module/widgets/changecalendar-widget/changecalendar-widget.component';
import {
    MyResourcesSummaryWidgetComponent
} from '../../../../modules/scm_module/widgets/my-resources-summary-widget/my-resources-summary-widget.component';


@Component({
    selector: 'oitc-widget-container',
    imports: [
        CustomalertsWidgetComponent,
        OitcAlertComponent,
        TranslocoPipe,
        WelcomeWidgetComponent,
        ParentOutagesWidgetComponent,
        HostsPiechartWidgetComponent,
        HostsPiechartWidget180Component,
        ServicesPiechartWidgetComponent,
        ServicesPiechartWidget180Component,
        HostsDowntimeWidgetComponent,
        CalendarWidgetComponent,
        TacticalOverviewHostsWidgetComponent,
        ServicesDowntimeWidgetComponent,
        TodayWidgetComponent,
        NoticeWidgetComponent,
        HostsTopAlertsWidgetComponent,
        ServicesTopAlertsWidgetComponent,
        TacticalOverviewServicesWidgetComponent,
        WebsiteWidgetComponent,
        HostStatusOverviewWidgetComponent,
        ServiceStatusOverviewWidgetComponent,
        HostsStatusListWidgetComponent,
        HostsStatusListExtendedWidgetComponent,
        ServicesStatusListWidgetComponent,
        HostStatusOverviewExtendedWidget,
        ServiceStatusOverviewExtendedWidget,
        ServicesStatusListExtendedWidgetComponent,
        GrafanaAutogeneratedWidgetComponent,
        GrafanaUserdefinedWidgetComponent,
        SlaSummaryWidgetComponent,
        SlaSummaryWidgetComponent,
        SlaSummaryWidgetComponent,
        SlaSummaryWidgetComponent,
        SlaSummaryWidgetComponent,
        SlaSummaryWidgetComponent,
        SlaWidgetComponent,
        SlaCalendarWidgetComponent,
        TrafficlightWidgetComponent,
        TachometerWidgetComponent,
        EventcorrelationWidgetComponent,
        AutomapWidgetComponent,
        AutoreportWidgetComponent,
        MapWidgetComponent,
        ChangecalendarWidgetComponent,
        MyResourcesSummaryWidgetComponent
    ],
    templateUrl: './widget-container.component.html',
    styleUrl: './widget-container.component.css',
    changeDetection: ChangeDetectionStrategy.OnPush
})
export class WidgetContainerComponent extends BaseWidgetComponent {


    protected readonly WidgetTypes = WidgetTypes;

}
